package calculator
import scala.io.StdIn.readLine
import smallCheck._
import expression._

object MainSimplify1 extends App {
  var s = ""
  while (true) {
    print("Type the expression to simplify (e.g. (x + 10) + (y - 0)):")
    s = readLine()
    try {
      val exp = Parser.parseString(s)
      val exp2 = Calculator.simplify1(exp)
      println(PrettyPrinter.stringOf(exp2))
    } catch {
      case BadExpression(s) => println("Bad expression!")
    }
  }
}

object MainSimplify2 extends App {
  var s = ""
  while (true) {
    print("Type the expression to simplify (e.g. (x + 10) + (y - 0)):")
    s = readLine()
    try {
      val exp = Parser.parseString(s)
      val (exp2, _) = Calculator.simplify2(exp)
      println(PrettyPrinter.stringOf(exp2))
    } catch {
      case BadExpression(s) => println("Bad expression!")
    }
  }
}
