package smallCheck

import expression._

object SmallCheck {

  /** produces all possible combinations of pairs of elements taken in two Sets
    * @param l1
    *   the first set
    * @param l2
    *   the second set
    * @return
    *   all possible combinations of pairs of elements taken in l1 and l2. E.g.
    *   With Set(1,2) and Set(3,4) this function returns
    *   Set((1,3),(1,4),(2,3),(2,4))
    */
  def allCombinations[T1, T2](l1: Set[T1], l2: Set[T2]): Set[(T1, T2)] =
    for { e1 <- l1; e2 <- l2 } yield (e1, e2)

  def genInt(i: Int): Set[Int] = ???

  def genConstant(i: Int): Set[Expression] = ???

  def genString(i: Int): Set[String] = ???
  def genVars(i: Int): Set[Expression] = ???

  def genExpression(i: Int): Set[Expression] = ???

  def genMaps(i: Int): Set[Map[String, Int]] = ???
}
