package calculator
import org.junit.Assert._
import org.junit.Test
import expression._
import smallCheck._

class TestSimplify1 {

  // An example of a unit test
  @Test
  def test1(): Unit = {
    val expected = Constant(0)
    val actual = Calculator.simplify1(Sub(Constant(1), Constant(1)))
    assertEquals(expected, actual)
  }

  // A second unit test
  @Test
  def test2(): Unit = {
    val expected = Variable("A")
    val actual = Calculator.simplify1(Sub(Variable("A"), Constant(0)))
    assertEquals(expected, actual)
  }

  @Test
  def test3(): Unit = {
    // A silly test to illustrate that
    // for loops are possible in testing functions
    for (i <- Set(1, 2, 3)) {
      assertEquals(i, i)
    }
  }

  @Test
  def testSmallCheck(): Unit = {
    // TODO
  }

}
