package expression

sealed trait Expression
case class Constant(a: Int) extends Expression
case class Variable(a: String) extends Expression
case class Sum(a: Expression, b: Expression) extends Expression
case class Sub(a: Expression, b: Expression) extends Expression
